problem with attachments

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

problem with attachments

mick crane
ALERT:- dopey home user.
How do I tell which roundcube I'm using ?
Everything is working except I get

SERVICE CURRENTLY NOT AVAILABLE!
Error No. [600]
if I try to open an email with attachments

cups print server is on same PC as roundcubemail.
I was fiddling with cups the other day on client and I'm certain all I
did was typed
"lpadmin <server> <printer>" on client in error of understanding purpose
of lpadmin
although it is possible I updated server with apt before this happened
but may have been after.
Relevant might be that apt suggested auto-remove for a few files which I
did.

I was using roundcubemail-1.3.8

Anyway PHP seemed to stop working, just showing text.
apache error log showed.
"[php7:error] [pid 5733] [client 10.0.0.101:53579] PHP Fatal error:  
Uncaught Error: Class 'DOMDocument' not found in
/usr/share/roundcubemail-1.3.8/program/lib/Roundcube/html.php:357\nStack
trace:\n#0"

so I set about removing/installing with apt PHP modules roundcube
webpage says are required.
php-dom
php-xml
php-jason

I forget exactly which.
installed roundcubemail-1.4-beta-complete by running "updateto" using
still there roundcubemail-1.3.5 directory
there was an error in the install saying php-pspell wasn't installed so
I got that with apt and tried the install script again
where it says roundcube is already installed, up to date or something.

In /usr/share/
I have the directories
/usr/share/roundcubemail-1.3.5
/usr/share/roundcubemail-1.3.8

whereas I thought I might have
/usr/share/roundcubemail-1.4-beta

So the questions are
how do I fix this 600 error ?
how do I find out which roundcube I'm using ?
does 1.4 beta install itself in 1.3.8 directory ?
What bit of software looks after attachements or is this some
configuration,
I'm pretty certain that the attachments are only gpg signatures.
Is it necessary to protect some libraries from apt ?

regards. (please if reply do not add attachment).

mick

--
Key ID    4BFEBB31
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: problem with attachments

mick crane
On 2018-12-16 06:26, mick crane wrote:
> ALERT:- dopey home user.

Ok ignore previous I can probably sort it.

[Sun Dec 16 06:13:50.985223 2018] [php7:warn] [pid 14980] [client
10.0.0.101:57325] PHP Warning:  Enigma plugin: Keys directory isn't
writeable: /usr/share/roundcubemail/plugins/enigma/home in
/usr/share/roundcubemail-1.3.8/program/lib/Roundcube/rcube.php on line
1364, referer:
http://rapunzel.home/roundcubemail/?_task=mail&_mbox=INBOX.lists.debian

please excuse not checking logs before posting.

--
Key ID    4BFEBB31
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: problem with attachments

mick crane
In reply to this post by mick crane
On 2018-12-16 06:26, mick crane wrote:
> ALERT:- dopey home user.

> So the questions are
> how do I fix this 600 error ?
> how do I find out which roundcube I'm using ?
> does 1.4 beta install itself in 1.3.8 directory ?
> What bit of software looks after attachements or is this some
> configuration,
> I'm pretty certain that the attachments are only gpg signatures.
> Is it necessary to protect some libraries from apt ?

shortly after I remembered that it's me is supposed to put the roundcube
installation somewhere.
And concerning the attachments it is possible that I never tried to open
email with gpg signature since installing 1.3.8 so that could have come
up at any time.

--
Key ID    4BFEBB31
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users